import { useEffect } from 'react';
import { useDispatch } from 'react-redux';
import { setPageTitle } from '../../store/themeConfigSlice';
import { useTranslation } from 'react-i18next';
import { Breadcrumb } from '../../components/Breadcrumb';
import { ProductColoursList } from '../../features/productColours/components/ProductColoursList';

const ProductColors = () => {
    const dispatch = useDispatch();
    useEffect(() => {
        dispatch(setPageTitle('Product Colors'));
    });

    const { t } = useTranslation();

    const breadcrumbItems = [{ label: 'Dashboard', href: '/' }, { label: 'Product Colors' }];

    return (
        <>
            <Breadcrumb items={breadcrumbItems} />
            <h5 className="mt-5 mb-5 font-bold text-2xl">{t('product_colors')}</h5>
            <ProductColoursList />
        </>
    );
};

export default ProductColors;
